##### basic_stream_file::close (1 of 2 overloads)

Inherited from basic_file.

Close the file.

    void close();

This function is used to close the file. Any asynchronous read or write operations will be cancelled immediately, and will complete with the `asio::error::operation_aborted` error.

###### Exceptions

asio::system_error

  Thrown on failure. Note that, even if the function indicates an error, the underlying descriptor is closed.